public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-qt/qttools/
Date: Mon, 27 Nov 2023 08:47:52 +0000 (UTC)	[thread overview]
Message-ID: <1701074743.d6e33f02e9a9ee4563ccd60a59335a36c0986697.ionen@gentoo> (raw)

commit:     d6e33f02e9a9ee4563ccd60a59335a36c0986697
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 27 06:11:07 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Nov 27 08:45:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6e33f02

dev-qt/qttools: add 6.6.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qttools/Manifest             |   1 +
 dev-qt/qttools/qttools-6.6.1.ebuild | 146 ++++++++++++++++++++++++++++++++++++
 2 files changed, 147 insertions(+)

diff --git a/dev-qt/qttools/Manifest b/dev-qt/qttools/Manifest
index f60467b9a9ae..c92b4b16516d 100644
--- a/dev-qt/qttools/Manifest
+++ b/dev-qt/qttools/Manifest
@@ -1,2 +1,3 @@
 DIST qttools-everywhere-src-6.5.3.tar.xz 8591996 BLAKE2B 072b0b49182fac824364e7ac71df5698009ce0e8f144422c752373e122c587f6bdb306c2bb605c39228d8d5a1c1e0a89c8d56daef5f3de1cbb66aeb53e036962 SHA512 7e383cdc575400d19051232dc563eaf330209605f28a93ac01f32921d0d966bc9a51bb5b56fb8f5c00ed4aab5fa2806b3bd0c8750aa2f49f5a04c85fa68fe30b
 DIST qttools-everywhere-src-6.6.0.tar.xz 8582212 BLAKE2B 01c3cd188574dd2140756372d2aefb6e2c2dab1b866d2a120afb2fa19eff1eeeb288ae9845b55736bc77e8fb8173b2badaca091c9a7aa745fb1f2a0d864d191a SHA512 42a5df24b57afc5d60d33d6e6dc4021b9c1dbaba2fb7cab251ab636df8457619ee55177d6fe3dd93db335f271a3b40a86a9f7a3c76e34373ed7bce449a9b0652
+DIST qttools-everywhere-src-6.6.1.tar.xz 8583536 BLAKE2B c52fd1643f925909c2e5f677574ee202c0de5b810e9ca603f27511b123ce570c4bbf4aa3efd2c4347dace91d92546f5cb90e7ca783b7182369d13dcdbdac2db4 SHA512 7f7bfaf7f01a5374f711c20113e9461b83a6f908b48c7b3f662f8821a70ef0c792f040f2e8e62a570fec06df2329fe5eb953c680424262b3678ab283045e6909

diff --git a/dev-qt/qttools/qttools-6.6.1.ebuild b/dev-qt/qttools/qttools-6.6.1.ebuild
new file mode 100644
index 000000000000..8966bdc9123b
--- /dev/null
+++ b/dev-qt/qttools/qttools-6.6.1.ebuild
@@ -0,0 +1,146 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop llvm optfeature qt6-build
+
+DESCRIPTION="Qt Tools Collection"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~x86"
+fi
+
+IUSE="
+	+assistant clang designer distancefieldgenerator gles2-only
+	+linguist opengl pixeltool qdbus qdoc qml qtattributionsscanner
+	qtdiag qtplugininfo vulkan +widgets zstd
+"
+# note that some tools do not *require* widgets but will skip a sub-tool
+# if not enabled (e.g. linguist gives lrelease but not the GUI linguist6)
+REQUIRED_USE="
+	assistant? ( widgets )
+	designer? ( qml widgets )
+	distancefieldgenerator? ( qml widgets )
+	pixeltool? ( widgets )
+	qdoc? ( clang qml )
+"
+
+# behaves very badly when qttools is not already installed, also
+# other more minor issues (clang tests flaky depending on version,
+# and 3rdparty/ tries to FetchContent gtest)
+RESTRICT="test"
+
+LLVM_MAX_SLOT=17
+RDEPEND="
+	~dev-qt/qtbase-${PV}:6[network,widgets?]
+	assistant? ( ~dev-qt/qtbase-${PV}:6[sql,sqlite] )
+	clang? ( <sys-devel/clang-$((LLVM_MAX_SLOT+1)):= )
+	designer? (
+		~dev-qt/qtbase-${PV}:6[xml,zstd=]
+		zstd? ( app-arch/zstd:= )
+	)
+	qdbus? ( ~dev-qt/qtbase-${PV}:6[dbus,xml] )
+	qml? ( ~dev-qt/qtdeclarative-${PV}:6[widgets?] )
+	qtdiag? ( ~dev-qt/qtbase-${PV}:6[gles2-only=,vulkan=] )
+	widgets? ( ~dev-qt/qtbase-${PV}:6[opengl=] )
+"
+DEPEND="
+	${RDEPEND}
+	qtdiag? (
+		vulkan? ( dev-util/vulkan-headers )
+	)
+"
+
+llvm_check_deps() {
+	has_version -d "sys-devel/clang:${LLVM_SLOT}"
+}
+
+pkg_setup() {
+	use clang && llvm_pkg_setup
+}
+
+src_configure() {
+	local mycmakeargs=(
+		$(cmake_use_find_package qml Qt6Qml)
+		$(cmake_use_find_package widgets Qt6Widgets)
+		$(qt_feature assistant)
+		$(qt_feature clang)
+		$(qt_feature designer)
+		$(qt_feature distancefieldgenerator)
+		$(qt_feature linguist)
+		$(qt_feature pixeltool)
+		$(qt_feature qdbus)
+		$(qt_feature qdoc)
+		$(qt_feature qtattributionsscanner)
+		$(qt_feature qtdiag)
+		$(qt_feature qtplugininfo)
+
+		# TODO?: package litehtml, but support for latest releases seem
+		# to lag behind and bundled may work out better for now
+		# https://github.com/litehtml/litehtml/issues/266
+		$(usev assistant -DCMAKE_DISABLE_FIND_PACKAGE_litehtml=ON)
+	)
+
+	qt6-build_src_configure
+}
+
+src_install() {
+	qt6-build_src_install
+
+	if use widgets; then #914766
+		use designer || use distancefieldgenerator || use pixeltool &&
+			newicon src/designer/src/designer/images/designer.png designer6.png
+
+		if use assistant; then
+			make_desktop_entry assistant6 'Qt 6 Assistant' assistant6 \
+				'Qt;Development;Documentation' \
+				'Comment=Tool for viewing online documentation in Qt help file format'
+			newicon src/assistant/assistant/images/assistant-128.png assistant6.png
+		fi
+
+		if use designer; then
+			make_desktop_entry designer6 'Qt 6 Designer' designer6 \
+				'Qt;Development;GUIDesigner' \
+				'Comment=WYSIWYG tool for designing and building graphical user interfaces with QtWidgets'
+		fi
+
+		if use distancefieldgenerator; then
+			# no icon, sharing with designer which fits letter-wise
+			make_desktop_entry qdistancefieldgenerator6 'Qt 6 Distance Field Generator' designer6 \
+				'Qt;Development' \
+				'Comment=Tool for pregenerating the font cache of Qt applications'
+		fi
+
+		if use linguist; then
+			make_desktop_entry linguist6 'Qt 6 Linguist' linguist6 \
+				'Qt;Development;Translation' \
+				'Comment=Tool for translating Qt applications'
+			newicon src/linguist/linguist/images/icons/linguist-128-32.png linguist6.png
+		fi
+
+		if use pixeltool; then
+			# no icon, not fitting but share with designer for now
+			make_desktop_entry pixeltool6 'Qt 6 Pixel Tool' designer6 \
+				'Qt;Development' \
+				'Comment=Tool for zooming in the desktop area pointed by the cursor'
+		fi
+
+		if use qdbus; then
+			make_desktop_entry qdbusviewer6 'Qt 6 QDBusViewer' qdbusviewer6 \
+				'Qt;Development' \
+				'Comment=Tool that lets introspect D-Bus objects and messages'
+			newicon src/qdbus/qdbusviewer/images/qdbusviewer-128.png qdbusviewer6.png
+		fi
+
+		# hack: make_destop_entry does not support overriding DESCRIPTION
+		find "${ED}" -type f -name "*.desktop" \
+			-exec sed -i "/^Comment=${DESCRIPTION}/d" -- {} + || die
+	fi
+}
+
+pkg_postinst() {
+	use assistant &&
+		optfeature "Qt documentation viewable in assistant" \
+			'dev-qt/qt-docs:6[qch]' #602296
+}


             reply	other threads:[~2023-11-27  8:48 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-27  8:47 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-09  6:22 [gentoo-commits] repo/gentoo:master commit in: dev-qt/qttools/ Ionen Wolkens
2024-10-08  5:03 Ionen Wolkens
2024-09-27  7:26 Ionen Wolkens
2024-09-24  9:57 Ionen Wolkens
2024-09-03  7:44 Ionen Wolkens
2024-09-02 17:52 Ionen Wolkens
2024-07-16  1:29 Ionen Wolkens
2024-07-08 16:40 Arthur Zamarin
2024-07-08 11:16 Arthur Zamarin
2024-07-08 10:09 Sam James
2024-06-18 18:14 Ionen Wolkens
2024-06-08 13:41 Ionen Wolkens
2024-06-08  5:27 Arthur Zamarin
2024-06-04 19:36 Ionen Wolkens
2024-06-02  4:04 Sam James
2024-05-28 18:56 Arthur Zamarin
2024-05-20  8:48 Ionen Wolkens
2024-04-20 14:20 Ionen Wolkens
2024-04-19  7:55 Ionen Wolkens
2024-04-13 17:50 Arthur Zamarin
2024-04-02 13:06 Ionen Wolkens
2024-04-02  6:09 Arthur Zamarin
2024-04-01 18:29 Arthur Zamarin
2024-03-30  0:29 Ionen Wolkens
2024-03-26  7:10 Ionen Wolkens
2024-03-25 22:10 Ionen Wolkens
2024-03-24 18:39 Ionen Wolkens
2024-03-22 10:29 Ionen Wolkens
2024-03-22  6:16 Arthur Zamarin
2024-03-12 12:01 Ionen Wolkens
2024-03-07 20:46 Ionen Wolkens
2024-02-22  6:16 Ionen Wolkens
2024-02-20 14:30 Arthur Zamarin
2024-02-14 12:24 Ionen Wolkens
2024-02-10 11:26 Ionen Wolkens
2023-12-19 20:33 Ionen Wolkens
2023-12-19 15:15 Ionen Wolkens
2023-12-17 18:29 Arthur Zamarin
2023-12-12 21:25 Ionen Wolkens
2023-12-01 19:48 Jakov Smolić
2023-12-01  6:21 Sam James
2023-12-01  6:21 Sam James
2023-11-29 22:33 Sam James
2023-11-15 19:28 Ionen Wolkens
2023-11-15 17:20 Arthur Zamarin
2023-10-22  5:55 Ionen Wolkens
2023-10-10 14:51 Ionen Wolkens
2023-09-29 23:29 Ionen Wolkens
2023-09-28 13:07 Ionen Wolkens
2023-09-27 10:03 Ionen Wolkens
2023-09-26 23:08 Ionen Wolkens
2023-09-26 19:48 Ionen Wolkens
2023-09-24 17:22 Ionen Wolkens
2023-09-24 17:09 WANG Xuerui
2023-09-24 17:09 WANG Xuerui
2023-09-22 20:53 Sam James
2023-09-15  4:49 Sam James
2023-09-13 16:42 Ionen Wolkens
2023-09-13 16:42 Ionen Wolkens
2023-09-12  1:28 Sam James
2023-09-12  1:26 Sam James
2023-09-11 22:59 Sam James
2023-09-11 21:20 Ionen Wolkens
2023-09-11 21:20 Ionen Wolkens
2023-09-11 21:20 Ionen Wolkens
2023-09-06  8:49 Ionen Wolkens
2023-09-05 13:05 Ionen Wolkens
2023-07-26 13:31 Jimi Huotari
2023-07-20 19:41 Jimi Huotari
2023-06-10 13:33 Jimi Huotari
2023-05-06 11:26 Jimi Huotari
2023-04-15 18:39 Jimi Huotari
2023-03-26 16:59 Jimi Huotari
2023-03-19 13:09 Jimi Huotari
2023-02-09 10:02 Andreas Sturmlechner
2023-01-05 22:39 Jimi Huotari
2022-12-01 19:19 Andreas Sturmlechner
2022-09-24 14:32 Andreas Sturmlechner
2022-09-24 14:32 Andreas Sturmlechner
2022-08-02 22:00 Sam James
2022-08-02 21:51 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1701074743.d6e33f02e9a9ee4563ccd60a59335a36c0986697.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox